<?php
namespace Incoviba\nuevo\Venta;

use Carbon\Carbon;
use Incoviba\Common\Alias\NewEstado;

/**
 * 
 * @author Aldarien
 * @property Postventa postventa_id
 * @property TipoEstadoPostventa tipo_estado_postventa_id
 *
 */
class EstadoPostventa extends NewEstado
{
	protected static $_table = 'estado_postventas';
	
	public function postventa()
	{
		return $this->belongs_to(Postventa::class, 'postventa_id')->findOne();
	}
	public function tipo()
	{
		return $this->belongs_to(TipoEstadoPostventa::class, 'tipo_estado_postventa_id')->findOne();
	}
}
?>